<?php
/**
 * Plugin Publication multi-sites avec filtrage par rubrique
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined("_ECRIRE_INC_VERSION")) return;

include_spip('inc/presentation');
include_spip('inc/cims_commun');

function exec_cims_config(){

	if (!autoriser('configurer', 'configuration')) {
		include_spip('inc/minipres');
		echo minipres();
	} else {
	
		$multisite = _request('multisite');
		if (!$multisite)
			$multisite = cims_site_en_cours();

		$nom = "";
		$description = "";
                $tableau_config = cims_lire_config();

		if (isset($tableau_config['cilistedessites'])) {
		    foreach ($tableau_config['cilistedessites'] as $key=>$valeur) {
		    	if ($valeur == $multisite) {
		    		$nom = $valeur;
			    	$description = cims_htmlentities($tableau_config['cinomdessites'][$key]);
		    	}
		    }
		}
		
		$commencer_page = charger_fonction('commencer_page', 'inc');
		echo $commencer_page(_T('cims:titre'), "configuration", "configuration");
		
		echo "<br />\n";
		echo gros_titre(_T('cims:titre'),'', false);
		
/*		
		echo debut_gauche('', true);	
		echo creer_colonne_droite('', true);
		echo debut_droite('', true);
*/		
		echo '<div class="no_onglets" id="conteneur">';

		$cinotif_navigation = charger_fonction('cims_navigation', 'configuration');
	  	echo $cinotif_navigation();
		
		$contexte = array(
			'icone_retour'=> '',
			'titre'=>$description,
			'redirect'=> '',
			'multisite'=> $nom
		);
		
		echo recuperer_fond("prive/editer/cims_rubriques", $contexte);
			
//		echo fin_gauche(), fin_page();
		echo '</div>';
		echo fin_page();
	}
}

?>