<?php
/**
 * Plugin Publication multi-sites avec filtrage par rubrique
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined("_ECRIRE_INC_VERSION")) return;

include_spip('inc/presentation');
include_spip('inc/filtres');
include_spip('inc/cims_commun');

function exec_cims_rubriques(){
        $tableau_config = cims_lire_config();

	$multisite = _request('multisite');
	$nom = "";
	$description = "";
	
	if (isset($tableau_config['cilistedessites'])) {
	    foreach ($tableau_config['cilistedessites'] as $key=>$valeur) {
	    	if ($valeur == $multisite) {
	    		$nom = $valeur;
		    	$description = cims_htmlentities($tableau_config['cinomdessites'][$key]);
	    	}
	    }
	}
	
	$commencer_page = charger_fonction('commencer_page', 'inc');
	echo $commencer_page(_T('titre_page_configuration'), "configuration", "configuration");
	
	echo debut_grand_cadre(true);		
	echo fin_grand_cadre(true);

	echo '<div class="no_onglets" id="conteneur">';
	

/*	
	echo debut_gauche('', true);

	echo creer_colonne_droite('', true);
	echo debut_droite('', true);
*/	

	$icone_retour = '';
	$url = '';
	$id_objet = intval(_request('ciretour')); 
	if ($id_objet) {
                $url = generer_url_ecrire("rubrique","id_rubrique=".$id_objet);
                $icone_retour = icone_base($url,_T('icone_retour'),"rubrique-24.png","rien.gif","verticale left","");
	}
	
	$contexte = array(
		'icone_retour'=>$icone_retour,
		'titre'=>$description,
		'redirect'=>$url,
		'multisite'=> $nom,
		'config_fonc'=>''
	);

	echo recuperer_fond("prive/editer/cims_rubriques", $contexte);

//	echo fin_gauche(),
	echo fin_page();

}
?>